Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba
Class LogicException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.makumba.commons.WrappedException
                  org.makumba.LogicException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AttributeNotFoundException, LogicNotFoundException, UnauthorizedException

    public class LogicException

extends org.makumba.commons.WrappedException

An exception thrown during the execution of some business logic code

Version:
  $Id: LogicException.java 1688 2007-09-25 12:54:46Z manuel_gay $
Author:
  Cristian Bogdan, Manuel Gay
See Also:
  Serialized Form

Constructor Summary
`LogicException(String s)`
`LogicException(String s, boolean isControllerOriginated)`
`LogicException(Throwable t)`
`LogicException(Throwable t, boolean isControllerOriginated)`

Method Summary

Methods inherited from class org.makumba.commons.WrappedException
`getReason, isControllerOriginated, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LogicException

    public LogicException(Throwable t)

### LogicException

    public LogicException(String s)

### LogicException

    public LogicException(Throwable t,
                          boolean isControllerOriginated)

### LogicException

    public LogicException(String s,
                          boolean isControllerOriginated)

Package | Class | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20